## API Report File for "@fluentui/react-tree"

> Do not edit this file. It is a report generated by [API Extractor](https://api-extractor.com/).

```ts

/// <reference types="react" />

import type { AvatarContextValue } from '@fluentui/react-avatar';
import type { AvatarSize } from '@fluentui/react-avatar';
import type { ButtonContextValue } from '@fluentui/react-button';
import type { ComponentProps } from '@fluentui/react-utilities';
import type { ComponentState } from '@fluentui/react-utilities';
import { ContextSelector } from '@fluentui/react-context-selector';
import { FC } from 'react';
import type { ForwardRefComponent } from '@fluentui/react-utilities';
import { Provider } from 'react';
import { ProviderProps } from 'react';
import * as React_2 from 'react';
import type { Slot } from '@fluentui/react-utilities';
import type { SlotClassNames } from '@fluentui/react-utilities';

// @public (undocumented)
export const renderTree_unstable: (state: TreeState, contextValues: TreeContextValues) => JSX.Element;

// @public
export const renderTreeItem_unstable: (state: TreeItemState, contextValues: TreeItemContextValues) => JSX.Element;

// @public
export const renderTreeItemLayout_unstable: (state: TreeItemLayoutState) => JSX.Element;

// @public
export const renderTreeItemPersonaLayout_unstable: (state: TreeItemPersonaLayoutState, contextValues: TreeItemPersonaLayoutContextValues) => JSX.Element;

// @public
export const Tree: ForwardRefComponent<TreeProps>;

// @public (undocumented)
export const treeClassNames: SlotClassNames<TreeSlots>;

// @public (undocumented)
export type TreeContextValue = Required<Pick<TreeProps, 'openItems'>> & {
    level: number;
    appearance: 'subtle' | 'subtle-alpha' | 'transparent';
    size: 'small' | 'medium';
    focusFirstSubtreeItem(target: HTMLElement): void;
    focusSubtreeOwnerItem(target: HTMLElement): void;
    requestOpenChange(data: TreeOpenChangeData): void;
};

// @public
export const TreeItem: ForwardRefComponent<TreeItemProps>;

// @public (undocumented)
export const treeItemClassNames: SlotClassNames<TreeItemSlots>;

// @public
export const TreeItemLayout: ForwardRefComponent<TreeItemLayoutProps>;

// @public (undocumented)
export const treeItemLayoutClassNames: SlotClassNames<TreeItemLayoutSlots>;

// @public
export type TreeItemLayoutProps = ComponentProps<Partial<TreeItemLayoutSlots>>;

// @public (undocumented)
export type TreeItemLayoutSlots = {
    root: Slot<'div'>;
    iconBefore?: Slot<'span'>;
    iconAfter?: Slot<'span'>;
    aside?: Slot<'span'>;
};

// @public
export type TreeItemLayoutState = ComponentState<TreeItemLayoutSlots> & TreeItemContextValue;

// @public
export const TreeItemPersonaLayout: ForwardRefComponent<TreeItemPersonaLayoutProps>;

// @public (undocumented)
export const treeItemPersonaLayoutClassNames: SlotClassNames<TreeItemPersonaLayoutSlots>;

// @public
export type TreeItemPersonaLayoutProps = ComponentProps<Partial<TreeItemPersonaLayoutSlots>>;

// @public (undocumented)
export type TreeItemPersonaLayoutSlots = {
    root: Slot<'span'>;
    media: NonNullable<Slot<'span'>>;
    main: Slot<'span'>;
    description?: Slot<'span'>;
    aside?: Slot<'span'>;
    content: Slot<'div'>;
};

// @public
export type TreeItemPersonaLayoutState = ComponentState<TreeItemPersonaLayoutSlots> & TreeItemContextValue & {
    avatarSize: AvatarSize;
};

// @public
export type TreeItemProps = ComponentProps<Partial<TreeItemSlots>>;

// @public (undocumented)
export type TreeItemSlots = {
    root: Slot<'div'>;
    content: NonNullable<Slot<'span'>>;
    subtree?: Slot<'span'>;
    expandIcon?: Slot<'span'>;
    actions?: Slot<'span'>;
};

// @public
export type TreeItemState = ComponentState<TreeItemSlots> & {
    open: boolean;
    isLeaf: boolean;
    buttonSize: 'small';
    isActionsVisible: boolean;
};

// @public (undocumented)
export type TreeProps = ComponentProps<TreeSlots> & {
    appearance?: 'subtle' | 'subtle-alpha' | 'transparent';
    size?: 'small' | 'medium';
    openItems?: string | string[];
    defaultOpenItems?: string | string[];
    onOpenChange?(event: TreeOpenChangeEvent, data: TreeOpenChangeData): void;
};

// @public (undocumented)
export const TreeProvider: Provider<TreeContextValue | undefined> & FC<ProviderProps<TreeContextValue | undefined>>;

// @public (undocumented)
export type TreeSlots = {
    root: Slot<'div'>;
};

// @public
export type TreeState = ComponentState<TreeSlots> & TreeContextValue;

// @public
export const useTree_unstable: (props: TreeProps, ref: React_2.Ref<HTMLElement>) => TreeState;

// @public (undocumented)
export const useTreeContext_unstable: <T>(selector: ContextSelector<TreeContextValue, T>) => T;

// @public
export const useTreeItem_unstable: (props: TreeItemProps, ref: React_2.Ref<HTMLDivElement>) => TreeItemState;

// @public
export const useTreeItemLayout_unstable: (props: TreeItemLayoutProps, ref: React_2.Ref<HTMLElement>) => TreeItemLayoutState;

// @public
export const useTreeItemLayoutStyles_unstable: (state: TreeItemLayoutState) => TreeItemLayoutState;

// @public
export const useTreeItemPersonaLayout_unstable: (props: TreeItemPersonaLayoutProps, ref: React_2.Ref<HTMLSpanElement>) => TreeItemPersonaLayoutState;

// @public
export const useTreeItemPersonaLayoutStyles_unstable: (state: TreeItemPersonaLayoutState) => TreeItemPersonaLayoutState;

// @public
export const useTreeItemStyles_unstable: (state: TreeItemState) => TreeItemState;

// @public (undocumented)
export const useTreeStyles_unstable: (state: TreeState) => TreeState;

// (No @packageDocumentation comment for this package)

```
